Bug 1021183 - horizon log errors
horizon log errors
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-puppet-modules (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Chavero
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 04:17 EDT by Florian La Roche
Modified: 2016-04-18 02:47 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-puppet-modules-2014.1-23.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:01:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2013-10-20 04:17:26 EDT
Description of problem:

This is installing the newest havana packages. Seems some config files
are searched in /usr/share/openstack-dashboard/openstack_dashboard/conf/
instead of /etc/openstack-dashboard/



# sort -u < /var/log/horizon/horizon.log 
policy file for service: compute not found at /usr/share/openstack-dashboard/openstack_dashboard/conf/nova_policy.json
policy file for service: identity not found at /usr/share/openstack-dashboard/openstack_dashboard/conf/keystone_policy.json

# ls -l /etc/openstack-dashboard/
total 32
-rw-r-----. 1 root apache  4177 Oct 17 15:28 keystone_policy.json
-rw-r--r--. 1 root root    7618 Oct 19 13:42 local_settings
-rw-r-----. 1 root apache 12877 Oct 17 15:28 nova_policy.json



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Matthias Runge 2013-10-20 05:27:41 EDT
I assume, you used packstack to install Horizon.

Sadly, packstack uses it's own config and overwrites the package provided config, you're probably miissing the following bits in /etc/openstack-dashboard/local_config

# Path to directory containing policy.json files
# POLICY_FILES_PATH = os.path.join(ROOT_PATH, "conf")
POLICY_FILES_PATH = '/etc/openstack-dashboard'
# Map of local copy of service policy files
POLICY_FILES = {
    'identity': 'keystone_policy.json',
    'compute': 'nova_policy.json'
}
Comment 2 Julie Pichon 2013-10-21 06:49:09 EDT
Note that this recent commit to the upstream puppet-horizon module aimed to fix this:

https://github.com/stackforge/puppet-horizon/commit/4fabab3b63c73685f335ce334f1dad69ae848926

Note You need to log in before you can comment on or make changes to this bug.